﻿@{
    IEnumerable<int> planningItemIds = ViewBag.planningItemIds;
    var menuItems = await MenuDataHelper.GetMenuDataAsync();
}
<div id="kt_header_menu" class="header-menu header-menu-mobile header-menu-layout-default ">
    <ul class="menu-nav">
        @foreach(var item in menuItems.Where(m => m.ParentId == 0))
        {
            var menuObj = menuItems.Where(m => m.ParentId == item.Id);
            var Ids = menuObj.Select(m => m.Id);
            var menuActions = item.Id == 4 && planningItemIds != null ? menuObj.Where(m => planningItemIds.Contains(m.PlanningItemId)).Select(m => m.Action) : menuObj.Select(m => m.Action);
            var palnningActions = item.Id == 2 || item.Id == 4 ? menuItems.Where(m => Ids.Contains(m.ParentId)).Select(m => m.Action) : null;
            var expressActions = item.Id == 3 ? "budget-info-express" : item.Id == 4 ? "investment-planning-express" : "";
            var finalActions = item.Id == 2 || item.Id == 4 ? menuActions.Concat(palnningActions).Append(expressActions) : menuActions.Append(expressActions);
            <li class="menu-item" data-id="@item.Id">
                <a asp-route="@finalActions.ElementAt(0)" class="menu-link" data-controller="@item.Controller" data-action="@string.Join(",", finalActions)" data-ajax="true" data-ajax-update="#kt_content" data-ajax-begin="AjaxLinkStart" data-ajax-complete="AjaxLinkComplete">
                    <span class="menu-text">@item.Title</span>
                </a>
            </li>
        }
    </ul>
</div>